[fxruby-users] FxRuby1.6.23 on OpenBSD-Unix

Lars Kanis lars at greiz-reinsdorf.de
Wed May 9 10:27:49 UTC 2012

> I tried some simple programs on OpenBSD 5.0-Unix with Ruby1.9. It works
> fine.

If you like, you could write a new page in the wiki about install on
OpenBSD: https://github.com/lylejohnson/fxruby/wiki

> Many thanks to Lars for fixing "segfault".

Thanks for the flowers. Actually there are several corner cases left,
in conjunction with the garbage collector, which may result in
segfaults. In particular when overloading some FX internal methods
like FXIconItem#drawBigIcon, it could crash after some longer use.
This is because libfox and ruby have quite different philosophies
about object destruction, which are very hard to combine, especially
with ruby 1.9. It is easy to work around, but would require deep
changes to the fxruby object handling, so I currently don't plan to
fix these.

Nevertheless, if you run into any trouble, don't hesitate to ask here
on the mailing list or to open an github issue.


More information about the fxruby-users mailing list